Bug 151633 - Remove perl-dependency
Summary: Remove perl-dependency
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cfengine
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Sheltren
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-21 08:59 UTC by Enrico Scholz
Modified: 2007-11-30 22:11 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2005-07-05 21:31:39 UTC


Attachments (Terms of Use)

Description Enrico Scholz 2005-03-21 08:59:32 UTC
Description of problem:

Please remove the perl dependency e.g. by splitting the package into
subpackages. perl -- which brings in around additional 50MB -- is required only
by addon programs which are not needed for core-functionality.

| $ rpm -qp --filerequire cfengine-2.1.13-4.i386.rpm  | grep perl
| /usr/sbin/cfdoc /usr/bin/perl 
| /usr/share/doc/cfengine-2.1.13/contrib/cfdoc    /usr/bin/perl 


Version-Release number of selected component (if applicable):

cfengine-2.1.13-4.i386.rpm

Comment 1 Jeff Sheltren 2005-03-25 16:17:58 UTC
I'll look into splitting the package.  I wonder how many people running cfengine
aren't willing to install perl...

Comment 2 Enrico Scholz 2005-03-25 16:32:45 UTC
cfengine is used by me in Linux Vservers (http://linux-vserver.org) which I want
to keep minimal. For most vservers, 'cfengine' will be the only package
requiring perl.

Comment 3 Enrico Scholz 2005-06-01 19:50:30 UTC
'cfdoc' is it really not worth to be included (and to add the perl deps). At
least, it could be removed from %_sbindir and the x-flag could be removed from
contrib/cfdoc so that the deps will not be created.

Comment 4 Jeff Sheltren 2005-06-21 03:08:58 UTC
Enrico, sorry for the delayed response - I've had some personal stuff going on
(getting married!).  I'm rolling a 2.1.15 package now, so I'll try to make this
change in it to get rid of the perl dep.

Comment 5 Jeff Sheltren 2005-06-21 04:22:07 UTC
Can you check out this package and let me know if it fixes that for you?

http://www.cs.ucsb.edu/~jeff/extras/cfengine-2.1.15-2.i386.rpm

SRPM:
http://www.cs.ucsb.edu/~jeff/extras/cfengine-2.1.15-2.src.rpm

8da57f3dadf2c345bacd199a859ba6830ec0f97b  cfengine-2.1.15-2.i386.rpm
4bb9b3b893e224d8b84d1d9b0a748866d59f988e  cfengine-2.1.15-2.src.rpm


Note You need to log in before you can comment on or make changes to this bug.